# HG changeset patch
# Node ID 39a060382150
# Parent  a3b862b8dcde
diff --git a/libpurple/meson.build b/libpurple/meson.build
--- a/libpurple/meson.build
+++ b/libpurple/meson.build
@@ -440,7 +440,6 @@
 
 subdir('tests')
 subdir('plugins')
-subdir('protocols')
 
 test(
 	'purple_license_headers',
diff --git a/meson.build b/meson.build
--- a/meson.build
+++ b/meson.build
@@ -266,7 +266,7 @@
 
 dependency('shoes', required : false)
 
-DEFAULT_PRPLS = ['demo', 'ircv3', 'jabber', 'xmpp']
+DEFAULT_PRPLS = ['demo', 'ircv3', 'xmpp']
 
 dynamic_list = get_option('dynamic-prpls').split(',')
 if dynamic_list == ['all']
@@ -285,7 +285,6 @@
 
 DYNAMIC_DEMO = DYNAMIC_PRPLS.contains('demo')
 DYNAMIC_IRCV3 = DYNAMIC_PRPLS.contains('ircv3')
-DYNAMIC_JABBER = DYNAMIC_PRPLS.contains('jabber')
 DYNAMIC_XMPP = DYNAMIC_PRPLS.contains('xmpp')
 
 add_project_arguments(
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -62,45 +62,6 @@
 libpurple/plugins/wincred/wincred.c
 libpurple/prefs.c
 libpurple/protocols.c
-libpurple/protocols/jabber/adhoccommands.c
-libpurple/protocols/jabber/auth.c
-libpurple/protocols/jabber/auth_digest_md5.c
-libpurple/protocols/jabber/auth_plain.c
-libpurple/protocols/jabber/auth_scram.c
-libpurple/protocols/jabber/auth_webex.c
-libpurple/protocols/jabber/bosh.c
-libpurple/protocols/jabber/buddy.c
-libpurple/protocols/jabber/caps.c
-libpurple/protocols/jabber/chat.c
-libpurple/protocols/jabber/data.c
-libpurple/protocols/jabber/disco.c
-libpurple/protocols/jabber/ibb.c
-libpurple/protocols/jabber/iq.c
-libpurple/protocols/jabber/jabber.c
-libpurple/protocols/jabber/jingle/content.c
-libpurple/protocols/jabber/jingle/iceudp.c
-libpurple/protocols/jabber/jingle/jingle.c
-libpurple/protocols/jabber/jingle/rawudp.c
-libpurple/protocols/jabber/jingle/rtp.c
-libpurple/protocols/jabber/jingle/session.c
-libpurple/protocols/jabber/jingle/transport.c
-libpurple/protocols/jabber/jutil.c
-libpurple/protocols/jabber/message.c
-libpurple/protocols/jabber/oob.c
-libpurple/protocols/jabber/parser.c
-libpurple/protocols/jabber/pep.c
-libpurple/protocols/jabber/ping.c
-libpurple/protocols/jabber/presence.c
-libpurple/protocols/jabber/roster.c
-libpurple/protocols/jabber/si.c
-libpurple/protocols/jabber/tests/test_jabber_caps.c
-libpurple/protocols/jabber/tests/test_jabber_digest_md5.c
-libpurple/protocols/jabber/tests/test_jabber_jutil.c
-libpurple/protocols/jabber/tests/test_jabber_scram.c
-libpurple/protocols/jabber/useravatar.c
-libpurple/protocols/jabber/usernick.c
-libpurple/protocols/jabber/xdata.c
-libpurple/protocols/jabber/xmpp.c
 libpurple/proxy.c
 libpurple/purpleaccount.c
 libpurple/purpleaccountmanager.c
